const git = require('nodegit')
const fs = require('fs')
const pgpCommit = require('..')

async function run() {
  // clone a repo
  const repo = await git.Clone(
    'https://github.com/dabutvin/deepstream',
    '/private/tmp/test'
  )
  const commitMessage = 'add data to something'
  const author = git.Signature.now('dabutvin', 'butvinik@outlook.com')
  const committer = git.Signature.now('dabutvin', 'butvinik@outlook.com')

  // write a file to the repo
  fs.writeFileSync('/private/tmp/test/nothing', 'data\ndata\ndata')

  // add to the stage
  const index = await repo.refreshIndex()
  await index.addAll()
  await index.write()

  // do the signed commit in place
  const commitId = await pgpCommit({
    repo,
    commitMessage,
    author,
    committer,
    passphrase: sample_password,
    privateKey: sample_private_key
  })
  console.log('made commit: ' + commitId)
}

run()

// never check in a real private key
const sample_private_key = `-----BEGIN PGP PRIVATE KEY BLOCK-----
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=vkRk
-----END PGP PRIVATE KEY BLOCK-----`

// never check in a real password
const sample_password = 'Aaron11Aaron'
